loading 4 surrounding screens (left,right,top&bottom) web map

2017-07-27 06:59 AM - G.M.Towhidul Islam

Status: Open

Priority: Normal

Assignee:

Category: Map Canvas

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 24833

Description

Hello Sir, This is Towhid, GIS assistant at NRECA Intl. Ltd. I need to digitize using qgis 2.18.1 with google and bing map as base map.

Sometimes I experienced slow loading problem of the online base maps while digitizing though I use 20 mbps internet connection. I think

people all over the like me face this problem. I have a concept to overcome this problem as- The surrounding

screens/views(left,right,top&bottom) of the current screen/view(that is being used for digitizing) can be loaded automatically so that

he/she do not need to wait for the base map in next screen. The screens/views will be loaded automatically during digitization period of

the middle screen. Also there should have an option to turn this feature OFF as well as ON as users can use it according to their

necessity.

Thank you in advance. I'll be looking for your kind effort to add this feature as soon as possible.

Regards,

Towhid

GIS Assistant

NRECA International Ltd.

Dhaka, Bangladesh.

History

#1 - 2017-07-27 08:02 AM - G.M.Towhidul Islam

- Assignee changed from G.M.Towhidul Islam to Jürgen Fischer

#2 - 2017-07-27 10:58 AM - Giovanni Manghi

- Priority changed from High to Normal

- Assignee deleted (Jürgen Fischer)

- Category changed from Actions to Map Canvas

- Subject changed from Want an important feature : Loading 4 surrounding screens (left,right,top&bottom) web map to loading 4 surrounding screens 

(left,right,top&bottom) web map

You should really go in the "commercial support" page in the QGIS web site or raise your necessity in the users/developers mailing lists.

#3 - 2017-08-22 03:18 PM - Regis Haubourg

See recently merged work to preload tiles in qgis 3 https://github.com/qgis/QGIS/pull/4777

Having your feedback on that would be nice to see if it solves your problem.

 I'll be looking for your kind effort to add this feature as soon as possible.
https://github.com/qgis/QGIS/pull/4777


Concerning this, please understand that most new features you get have been paid by someone, so please consider contributing in one way on another

(contracting someone to do the job, get involved deeply in specifying what you need, help in translation or documentation process, participate in a local

user group .... ) .
